#
# spec file for package branch-network-formula
#
# Copyright (c) 2021 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fname branch-network
%define fdir  %{_datadir}/susemanager/formulas
Name:           branch-network-formula
Version:        0.1.1680167239.23f2fec
Release:        220400.1.1.uyuni2
Summary:        Salt formula for configuring Branch Server network
License:        Apache-2.0
Group:          System/Packages
Url:            https://github.com/SUSE/salt-formulas
Source:         branch-network-formula-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt pre-written state (formula) for managing configuration of Branch Server network.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/{%{fname},_states,_modules}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R branch-network/* %{buildroot}%{fdir}/states/%{fname}
cp -R metadata/* %{buildroot}%{fdir}/metadata/%{fname}
cp -R sysconfig/_states/* %{buildroot}%{fdir}/states/_states
cp -R sysconfig/_modules/* %{buildroot}%{fdir}/states/_modules

%files
%defattr(-,root,root)
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/states/_states
%dir %{fdir}/states/_modules
%dir %{fdir}/metadata
%{fdir}/states/%{fname}
%{fdir}/metadata/%{fname}
# sysconfig state and modules
%{fdir}/states/_states
%{fdir}/states/_modules

%changelog
* Thu Mar 30 2023 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1680167239.23f2fec
  * Remove unnecessary import of "salt.ext.six"
* Fri May 28 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Use kernel parameters from PXE formula also for local boot
- Update to version 0.1.1628156312.dbd0dec
* Wed Mar 31 2021 Ondrej Holecek <oholecek@suse.com>
- Fix 'enable route' not having efect on firewalld based systems
- Update to version 0.1.1620138994.d7f39a0
* Mon Feb  1 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Create saltboot/defaults file containing basic Branch
  configuration
- Update to version 0.1.1614159840.ef7cad5
* Mon Mar  2 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Handle application/efi mime type
- Update to version 0.1.1583842676.2fc2fa6
* Mon Feb  3 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Allow http access to saltboot directory
* Wed Jan 29 2020 Ondrej Holecek <oholecek@suse.com>
- Update formula to include terminal naming and identification
- Update to version 0.1.1580471316.1839544
* Fri Oct 11 2019 Ondrej Holecek <oholecek@suse.com>
- Update formula metadata
  - remove no longer valid limitation to only SLES12 systems
- Update to version 0.1.1573133286.06608d5
* Fri Sep 20 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1569489047.99c648b
- Enable formula for all SUSE based distros
* Tue Jun 18 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1561374979.11123db
- Explicitelly specify zone of the internal interface (bsc#1138586)
- Use 'onchanges' require instead of 'wait' to clearly see when
  state was applied or not required to
* Tue Jun 11 2019 Ondrej Holecek <oholecek@suse.com>
- Firewalld 'public' zone should be used for shared NIC
  (bsc#1137882)
* Thu May 23 2019 Ondrej Holecek <oholecek@suse.com>
- Updated copyrights and bug reporting link
- Update to version 0.1.1558613789.64ba093
* Mon May 13 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1557760069.e3d27d9
- Add checkbox to force enable IPv6 SLAAC together with forwading
  (by default false) (bsc#1132908)
* Thu May  2 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1556553492.2bfae0b
* Fri Apr 12 2019 Ondrej Holecek <oholecek@suse.com>
- Set tftp and ftp home to the branch work dir (bsc#1132109)
* Fri Mar 29 2019 Ondrej Holecek <oholecek@suse.com>
- Enable IP forwarding when NAT is enabled
* Thu Mar 28 2019 Ondrej Holecek <oholecek@suse.com>
- Add missing require on firewalld service
* Thu Mar 14 2019 Ondrej Holecek <oholecek@suse.com>
- Add support for firewalld and enable formula for SLE15 systems
* Thu Dec 13 2018 Ondrej Holecek <oholecek@suse.com>
- Netconfig update requires bind directory to exists for bind
  forward, ensure it (bsc#1116365)
* Wed Nov 21 2018 Ondrej Holecek <oholecek@suse.com>
- Rework network update in branch-network formula (bsc#1116365)
* Wed Aug 29 2018 nadvornik@suse.com
- Allow FW configuration for proxy services
* Tue Aug 21 2018 nadvornik@suse.com
- Allow opening ssh port on branch firewall (bsc#1100505)
* Fri Jun 29 2018 oholecek@suse.com
- Trigger network restart in an attempt to generate forwarders
* Thu Jun 28 2018 oholecek@suse.com
- Package sysconfig module
- Adapt state to use sysconfig module
* Fri Jun 22 2018 psladek@suse.com
- fixed network_service section,
  definiton is needed outside of 'if' block
* Mon Jun 18 2018 nadvornik@suse.com
- Configure forwarder
* Fri Jun  1 2018 oholecek@suse.com
- Adapt branch-network-formula to new $visibleIf delimiter
* Thu Apr 26 2018 nadvornik@suse.com
- Enable only on SLE12 (bsc#1083267)
- Install SuSEfirewall2
- Adjusted metadata to use SUSE Manager Retail group
* Sun Mar 18 2018 oholecek@suse.com
- Allow configuration of branch server with 1 NIC
- Enable firewall service to survive reboot
- Configurable service directory for ftp and tftp
- Sets up correct user, group and access in branch-network
- Adds service users into saltboot group
* Tue Jul 25 2017 nadvornik@suse.com
- new package
